Subject: 23.0.60; html-mode syntactic fontification error at line 164

From: "Lennart Borgman \(gmail\)" <[email-masked]>
Date: Sun, 20 Apr 2008 00:24:32 +0200

This is a rather strange fontification error. Sometimes lines after a 
certain line or the last part of the line itself gets fontified as 
strings (which is incorrect) and sometimes not. I do not believe I am 
able to make a simple example of this. Instead I have put up a copy of 
the file where I saw it on the web:

   http://ourcomments.org/Emacs/DL/html-syntactic-err-l164.html

To reproduce the error download this file, start Emacs with

   emacs -Q

open the file (switch to html-mode if it is not opened in html-mode) and 
go to line 164. There can be a little bit different errors, but the most 
common is that the lines below this line are fontified as string. I 
found right now that if I do

   M-g g 164

then I see the error above. However if I scroll down line by line to 
line 164 then the fontification is ok.

For other versions of misfontification I am not sure how to reproduce 
them at the moment.

In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
  of 2008-04-19 on LENNART-69DE564
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags 
-Ic:/g/include -fno-crossjumping'

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: ENU
   value of $XMODIFIERS: nil
   locale-coding-system: cp1252
   default-enable-multibyte-characters: t

Major mode: XHTML

Minor modes in effect:
   tooltip-mode: t
   tool-bar-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t